Bug 9468 - Add ability to hide itemtypes from purchase suggestions forms
Summary: Add ability to hide itemtypes from purchase suggestions forms
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 19:22 UTC by Kyle M Hall
Modified: 2016-06-21 21:39 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.12 KB, patch)
2013-01-23 19:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.12 KB, patch)
2013-03-21 14:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.17 KB, patch)
2013-03-21 16:05 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.18 KB, patch)
2013-06-17 17:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.21 KB, patch)
2013-10-03 11:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide itemtypes from purchase suggestions forms - QA Followup (2.38 KB, patch)
2013-10-03 12:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide items from purchase suggestions forms (4.31 KB, patch)
2013-11-04 14:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9468 - Add ability to hide itemtypes from purchase suggestions forms - QA Followup (2.47 KB, patch)
2013-11-04 14:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9468: [COUNTER-PATCH] make av-build-dropbox.inc available to OPAC (3.31 KB, patch)
2014-05-05 00:31 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9468: [COUNTER-PATCH] define new SUGGEST_FORMAT authorize value (1.98 KB, patch)
2014-05-05 00:32 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9468: [COUNTER-PATCH] use new SUGGEST_FORMAT list (14.69 KB, patch)
2014-05-05 00:32 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9468: [COUNTER-PATCH] sample SUGGEST_FORMAT values (2.03 KB, patch)
2014-05-05 00:32 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9468: [COUNTER-PATCH] make av-build-dropbox.inc available to OPAC (3.40 KB, patch)
2015-03-23 10:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9468: [COUNTER-PATCH] define new SUGGEST_FORMAT authorize value (2.06 KB, patch)
2015-03-23 10:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9468: [COUNTER-PATCH] use new SUGGEST_FORMAT list (12.34 KB, patch)
2015-03-23 10:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9468: [COUNTER-PATCH] sample SUGGEST_FORMAT values (2.11 KB, patch)
2015-03-23 10:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 [QA Followup] (12.49 KB, patch)
2015-04-17 16:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: make av-build-dropbox.inc available to OPAC (2.07 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: define new SUGGEST_FORMAT authorize value (2.13 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: use new SUGGEST_FORMAT list (12.31 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: sample SUGGEST_FORMAT values (2.06 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468 [QA Followup] (12.60 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: followup insert ignore (1.18 KB, patch)
2015-04-20 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: make av-build-dropbox.inc available to OPAC (2.09 KB, patch)
2015-08-24 10:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: define new SUGGEST_FORMAT authorize value (2.15 KB, patch)
2015-08-24 10:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: use new SUGGEST_FORMAT list (12.42 KB, patch)
2015-08-24 10:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: sample SUGGEST_FORMAT values (2.08 KB, patch)
2015-08-24 10:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 [QA Followup] (12.49 KB, patch)
2015-08-24 10:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: followup insert ignore (1.18 KB, patch)
2015-08-24 10:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 [QA Followup] - Remove GetSupportList dependency from updatadatabase.pl (1.82 KB, patch)
2015-08-24 10:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: make av-build-dropbox.inc available to OPAC (2.14 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: define new SUGGEST_FORMAT authorize value (2.20 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: use new SUGGEST_FORMAT list (12.49 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: sample SUGGEST_FORMAT values (2.13 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468 [QA Followup] (12.67 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: followup insert ignore (1.25 KB, patch)
2015-08-25 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468 [QA Followup] - Remove GetSupportList dependency from updatadatabase.pl (1.89 KB, patch)
2015-08-25 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: Fix syntax error in updatedb (1011 bytes, patch)
2015-08-25 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9468: make av-build-dropbox.inc available to OPAC (2.16 KB, patch)
2015-11-05 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: define new SUGGEST_FORMAT authorize value (2.22 KB, patch)
2015-11-05 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: use new SUGGEST_FORMAT list (12.53 KB, patch)
2015-11-05 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: sample SUGGEST_FORMAT values (2.15 KB, patch)
2015-11-05 13:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 [QA Followup] (12.56 KB, patch)
2015-11-05 13:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468: followup insert ignore (1.25 KB, patch)
2015-11-05 13:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9468 [QA Followup] - Remove GetSupportList dependency from updatadatabase.pl (1.89 KB, patch)
2015-11-05 13:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-01-23 19:22:11 UTC

    
Comment 1 Kyle M Hall 2013-01-23 19:25:19 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-01-23 20:32:31 UTC
Can you please clarify what "hide items from purchase suggestions forms" means?
Comment 3 Kyle M Hall 2013-01-24 16:31:41 UTC
I worded the title poorly. The idea is to limit the list of item types one can choose when making a purchase suggestion. Some libraries have some many item types that it would be overwhelming for a patron to choose the correct one from the list. The idea is to pare down the list to a more manageable size for the purpose of choosing an itemtype for a purchase suggestions.
Comment 4 Galen Charlton 2013-02-07 00:16:56 UTC
Do we need to have the purchase suggestion form ask for the item type in the first place?  Not all libraries use item types that double as material types -- for example, if your item types are 'NORMAL', 'SHORT', 'NO_LOAN', that's not going to be of much use to the patron.

So here's my counter-proposal: since suggestions.itemtype is a varchar(30) anyway, why not give it text input widgets instead of a drop-down list of item types, and maybe relabel it to make it clear that the library is asking for the preferred format (e.g., print, ebook, video, etc.).
Comment 5 Kyle M Hall 2013-02-08 17:09:01 UTC
I think giving patrons the freedom to type in anything will make it more complicated and confusing for some patrons. We could just add a new authorised value category instead.

(In reply to comment #4)
> Do we need to have the purchase suggestion form ask for the item type in the
> first place?  Not all libraries use item types that double as material types
> -- for example, if your item types are 'NORMAL', 'SHORT', 'NO_LOAN', that's
> not going to be of much use to the patron.
> 
> So here's my counter-proposal: since suggestions.itemtype is a varchar(30)
> anyway, why not give it text input widgets instead of a drop-down list of
> item types, and maybe relabel it to make it clear that the library is asking
> for the preferred format (e.g., print, ebook, video, etc.).
Comment 6 Frederic Durand 2013-03-20 10:24:00 UTC
I ve tested it on a sanbox, it did not work, here s the error message :
Applying: Bug 9468 - Add ability to hide items from purchase suggestions forms
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging C4/Koha.pm
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Failed to merge in the changes.
Comment 7 Kyle M Hall 2013-03-21 14:29:34 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2013-03-21 16:05:28 UTC
Patch tested with a sandbox, by Frederic Durand <frederic.durand@unilim.fr>
Comment 9 Paul Poulain 2013-03-21 16:05:45 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2013-06-14 08:54:08 UTC
QA Comment:
2 smalls remarks:
1/
FAIL	C4/Koha.pm
   OK	  pod
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 201)
		forbidden pattern: tab char (line 199)
		forbidden pattern: tab char (line 200)
		forbidden pattern: tab char (line 193)
		forbidden pattern: tab char (line 194)

I know there are a lot of tab around these lines...

2/ qq{} is badly used at 2 places. Prefer q{} if you don't need a variable interpolation.

Marked as Failed QA.
Comment 11 Kyle M Hall 2013-06-17 17:46:34 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2013-06-17 17:48:06 UTC
Whitespace looks good now:

koha-qa.pl -v 2 -c 1
testing 1 commit(s) (applied to 77a5e3e 'Bug 10439: fix bug preventing the lib')

 OK     C4/Koha.pm
   OK     pod
   OK     forbidden patterns
   OK     valid
   OK     critic

 OK     installer/data/mysql/updatedatabase.pl
   OK     pod
   OK     forbidden patterns
   OK     valid
   OK     critic

Also change the qq{}'s to q{}'s as well.
Comment 13 Jonathan Druart 2013-06-19 09:05:34 UTC
QA Comment:

1/ The syspref is created for OPAC but affect the intranet too : the C4::Koha::GetSupportList routine is used in suggestion/suggestion.pl.
2/ For the moment, this routine is only used in suggestions page, but could be used for something else, don't you think?
3/ Moreover it seems this routine is buggy. It does not deal with the multivalued AdvancedSearchTypes values (maybe I'm wrong).
4/ If the pref is equal to "ccode", don't we want to hide them too?

Marked as Failed QA.
Comment 14 Kyle M Hall 2013-10-03 11:59:23 UTC Comment hidden (obsolete)
Comment 15 Kyle M Hall 2013-10-03 12:19:05 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2013-10-03 12:22:21 UTC
> 1/ The syspref is created for OPAC but affect the intranet too : the
> C4::Koha::GetSupportList routine is used in suggestion/suggestion.pl.
Fixed!

> 2/ For the moment, this routine is only used in suggestions page, but could
> be used for something else, don't you think?
> 3/ Moreover it seems this routine is buggy. It does not deal with the
> multivalued AdvancedSearchTypes values (maybe I'm wrong).
I don't really no, but that would be beyond the scope of this bug.

> 4/ If the pref is equal to "ccode", don't we want to hide them too?
This is also beyond the scope of this bug. I future patch could extend this to ccodes and locations too.
Comment 17 Marcel de Rooy 2013-11-04 14:35:03 UTC Comment hidden (obsolete)
Comment 18 Marcel de Rooy 2013-11-04 14:35:10 UTC Comment hidden (obsolete)
Comment 19 Marcel de Rooy 2013-11-04 14:37:05 UTC
QA Comments:
Referring to Jonathan's comments and Kyle's replies: This works as advertised within its current limited implementation. Could be extended in the future. The function affects opac only now.
Code looks good to me. No complaints from qa tools.

Passed QA
Comment 20 Galen Charlton 2014-05-04 22:38:00 UTC
(In reply to Kyle M Hall from comment #5)
> I think giving patrons the freedom to type in anything will make it more
> complicated and confusing for some patrons. We could just add a new
> authorised value category instead.

I think that's a much better approach than maintaining a dependency on item types, AdvancedSearchTypes, and introducing a limited-purpose system preference.
Comment 21 Galen Charlton 2014-05-05 00:31:56 UTC Comment hidden (obsolete)
Comment 22 Galen Charlton 2014-05-05 00:32:01 UTC Comment hidden (obsolete)
Comment 23 Galen Charlton 2014-05-05 00:32:05 UTC Comment hidden (obsolete)
Comment 24 Galen Charlton 2014-05-05 00:32:09 UTC Comment hidden (obsolete)
Comment 25 Galen Charlton 2014-05-05 00:32:32 UTC
I have attached a series of counter-patches.
Comment 26 Kyle M Hall 2015-03-23 10:55:53 UTC Comment hidden (obsolete)
Comment 27 Kyle M Hall 2015-03-23 10:56:00 UTC Comment hidden (obsolete)
Comment 28 Kyle M Hall 2015-03-23 10:56:03 UTC Comment hidden (obsolete)
Comment 29 Kyle M Hall 2015-03-23 10:56:06 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2015-04-17 09:30:09 UTC
(In reply to Kyle M Hall from comment #29)
> Created attachment 37103 [details] [review] [review]
> [SIGNED-OFF] Bug 9468: [COUNTER-PATCH] sample SUGGEST_FORMAT values
> To test
> -------
> [1] Verify that the new SQL inserts added by this patch work.

Yes, it works, but only for English, please add them for others.

The change to the opac prog theme should be removed.
Comment 31 Kyle M Hall 2015-04-17 16:48:22 UTC Comment hidden (obsolete)
Comment 32 Jonathan Druart 2015-04-20 09:25:00 UTC Comment hidden (obsolete)
Comment 33 Jonathan Druart 2015-04-20 09:25:05 UTC Comment hidden (obsolete)
Comment 34 Jonathan Druart 2015-04-20 09:25:08 UTC Comment hidden (obsolete)
Comment 35 Jonathan Druart 2015-04-20 09:25:12 UTC Comment hidden (obsolete)
Comment 36 Jonathan Druart 2015-04-20 09:25:16 UTC Comment hidden (obsolete)
Comment 37 Jonathan Druart 2015-04-20 09:25:19 UTC Comment hidden (obsolete)
Comment 38 Jonathan Druart 2015-04-20 09:27:36 UTC
Comment on attachment 38164 [details] [review]
Bug 9468: define new SUGGEST_FORMAT authorize value

Review of attachment 38164 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/updatedatabase.pl
@@ +37,4 @@
>  use C4::Context;
>  use C4::Installer;
>  use C4::Dates;
> +use C4::Koha qw/GetSupportList/;

I think this should be avoided.
What will happen in future versions of Koha? The routine can change, or completely removed.
We should not call routines/methods from the Koha code in this file.
Comment 39 Katrin Fischer 2015-04-23 10:52:46 UTC
Hi Kyle,

can you please take a look at Jonathan's comment#38?
+use C4::Koha qw/GetSupportList/;

I am not sure about some of the changes being intentional?

     if ($displayby =~ /status/i) {
-        if ( grep { /^($criteriumvalue)$/ } qw(ASKED ACCEPTED REJECTED CHECKED ORDERED AVAILABLE) ) {
-            return ($criteriumvalue eq 'ASKED'?"Pending":ucfirst(lc( $criteriumvalue)));
-        } else {
-            return GetAuthorisedValueByCode('SUGGEST_STATUS', $criteriumvalue) || $criteriumvalue;
+        unless ( grep { /$criteriumvalue/ } qw(ASKED ACCEPTED REJECTED CHECKED ORDERED AVAILABLE) ) {
+            return GetAuthorisedValueByCode('SUGGEST_STATUS', $criteriumvalue ) || "Unknown";
         }
+        return ($criteriumvalue eq 'ASKED'?"Pending":ucfirst(lc( $criteriumvalue))) if ($displayby =~/status/i);
     }
     return (GetBranchName($criteriumvalue)) if ($displayby =~/branchcode/);
-    return (GetSupportName($criteriumvalue)) if ($displayby =~/itemtype/);
+    return GetAuthorisedValueByCode('SUGGEST_FORMAT', $criteriumvalue) || "Unknown" if ($displayby =~/itemtype/);

Also, "Pending" looks untranslatable there.
Comment 40 Kyle M Hall 2015-08-24 10:47:42 UTC Comment hidden (obsolete)
Comment 41 Kyle M Hall 2015-08-24 10:47:51 UTC Comment hidden (obsolete)
Comment 42 Kyle M Hall 2015-08-24 10:47:55 UTC Comment hidden (obsolete)
Comment 43 Kyle M Hall 2015-08-24 10:47:57 UTC Comment hidden (obsolete)
Comment 44 Kyle M Hall 2015-08-24 10:48:01 UTC Comment hidden (obsolete)
Comment 45 Kyle M Hall 2015-08-24 10:48:03 UTC Comment hidden (obsolete)
Comment 46 Kyle M Hall 2015-08-24 10:48:06 UTC Comment hidden (obsolete)
Comment 47 Jonathan Druart 2015-08-25 16:32:31 UTC Comment hidden (obsolete)
Comment 48 Jonathan Druart 2015-08-25 16:32:36 UTC Comment hidden (obsolete)
Comment 49 Jonathan Druart 2015-08-25 16:32:41 UTC Comment hidden (obsolete)
Comment 50 Jonathan Druart 2015-08-25 16:32:45 UTC Comment hidden (obsolete)
Comment 51 Jonathan Druart 2015-08-25 16:32:50 UTC Comment hidden (obsolete)
Comment 52 Jonathan Druart 2015-08-25 16:32:55 UTC Comment hidden (obsolete)
Comment 53 Jonathan Druart 2015-08-25 16:33:00 UTC Comment hidden (obsolete)
Comment 54 Jonathan Druart 2015-08-25 16:33:04 UTC Comment hidden (obsolete)
Comment 55 Kyle M Hall 2015-08-25 16:34:07 UTC
(In reply to Jonathan Druart from comment #54)
> Created attachment 41943 [details] [review] [review]
> Bug 9468: Fix syntax error in updatedb
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Thanks for the followup Jonathan!
Comment 56 Tomás Cohen Arazi 2015-11-05 13:27:39 UTC
Can u please rebase ASAP?
Comment 57 Kyle M Hall 2015-11-05 13:42:43 UTC
Created attachment 44504 [details] [review]
Bug 9468: make av-build-dropbox.inc available to OPAC

This patch makes the av-build-dropbox.inc template include introduced
by the latest patches for bug 766 available to the prog and Bootstrap
themes in the OPAC.

See later patches in this series for testing.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Remove OPAC prog file

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 58 Kyle M Hall 2015-11-05 13:42:55 UTC
Created attachment 44505 [details] [review]
Bug 9468: define new SUGGEST_FORMAT authorize value

This patch defines a new authorized called SUGGEST_FORMAT for
populating a list of patron-understandable formats for expressing
how they would prefer suggested items to be purchased.  For
database upgrades, it populates it based on the value returned by the
GetSupportList() routine.

To test
-------
[1] Run the database update.
[2] Verify that there is a new authorised value called SUGGEST_FORMAT
    whose codes and descriptions correspond to the list of "item types"
    available on the patron suggestion form.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 59 Kyle M Hall 2015-11-05 13:42:58 UTC
Created attachment 44506 [details] [review]
Bug 9468: use new SUGGEST_FORMAT list

This patch uses the new SUGGEST_FORMAT authorized value list for
populating the list of suggestion item types/document types.  It
also improves the display by using the staff or OPAC description of
the authorised value rather than the code.

To test:

[1] Enter a suggestion via the OPAC and select an item type (which
    I will call "desired format" for the rest of this test plan).
[2] Verify that the saved suggestion displays the desired format
    description in both staff and OPAC.
[3] Verify that organizing the list of suggestions by item type
    now works in the staff interface, rather than displaying "Unknown"
    in each tab header.
[4] Verify that existing suggestions' desired formats are displayed
    correctly.
[5] Verify that suggestions can have their desired format edited
    in the staff inteface.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 60 Kyle M Hall 2015-11-05 13:43:02 UTC
Created attachment 44507 [details] [review]
Bug 9468: sample SUGGEST_FORMAT values

This patch adds some sample values for the SUGGEST_FORMAT
authorized value list for new installations.

To test
-------
[1] Verify that the new SQL inserts added by this patch work.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 61 Kyle M Hall 2015-11-05 13:43:06 UTC
Created attachment 44508 [details] [review]
Bug 9468 [QA Followup]

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 62 Kyle M Hall 2015-11-05 13:43:10 UTC
Created attachment 44509 [details] [review]
Bug 9468: followup insert ignore

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 63 Kyle M Hall 2015-11-05 13:43:14 UTC
Created attachment 44510 [details] [review]
Bug 9468 [QA Followup] - Remove GetSupportList dependency from updatadatabase.pl

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 64 Tomás Cohen Arazi 2015-11-05 13:55:18 UTC
Patches pushed to master.

Thanks Galen!